/* 
 * File:   matrix.h
 * Author: wicker
 *
 * Created on 8 juillet 2011, 14:04
 */

#ifndef MATRIX_H
#define	MATRIX_H



#endif	/* MATRIX_H */

/*******************************************************************/
/*                                                                 */
/*Procedure d'inversion de matrice qui renvoie le log du determinant*/
/*de la matrice a inverser ou 0 s'il y a un depassement de capacite*/
/*Nota bene : matrice est modifiee par la procedure                */
/*                                                                 */
/*******************************************************************/

double inversionMatrix(int dimension,double **matrix);


/*****************************************************/
/*                                                   */
/*Procedure d'echange de deux lignes dans une matrice*/
/*                                                   */
/*****************************************************/

void echangeLignes(int dimension,double **matrix,int line1,int line2);


/*******************************************************************************/
/*                                                                             */
/*Procedure de calcul de la norme au carre d'un vecteur pour une matrice donnee*/
/*                                                                             */
/*******************************************************************************/

double calculNorme(int nbDimensions,double *vecteur,double **matrice);


/***************************************************/
/*                                                 */
/*Procedure to compute a variance-covariance matrix*/
/*                                                 */
/***************************************************/

void computeCovarianceMatrix(int dimension,int nbPoints,double **values,double **sigma);

/************************************************************************/
/*                                                                      */
/*Procedure to compute a variance-covariance matrix with parameters taus*/
/*                                                                      */
/************************************************************************/

void computeCovarianceMatrixWithTaus(int dimension,int nbPoints,double **values,double **sigma,double *taus);